//
//Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//
package samples.convert;

import com.aspose.pdf.kit.ImageType;
import com.aspose.pdf.kit.PdfConverter;

//Example for PdfConverter
//Transform each page to a jpeg file from pdf file
public class PageToImage {
	//setting the test pdf file's path here
	static String path = "./examples/resources/";

	public static void main(String args[]) throws Exception {
		try {		
			PdfConverter converter = new PdfConverter();
			converter.bindPdf(path + "text.pdf");
			converter.doConvert();
			String prefix = path;
			String suffix = ".jpg";
			int imageCount = 1;
			while (converter.hasNextImage())
			{
				converter.getNextImage(prefix + imageCount + suffix, ImageType.JPEG);
				imageCount++;
			}
		}
		catch (java.io.IOException ioe) {
			System.out.println(ioe.getMessage() + ioe.getStackTrace());
		}
	}
}
