//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.extractor;

import com.aspose.pdf.kit.PdfExtractor;
import com.aspose.pdf.kit.ImageType;

public class ExtractImage {
  public ExtractImage () {
  	}
  
  //setting the test pdf file's path here
  static String path = "./examples/resources/";

  public static void main(String args[]) throws Exception{
    try {
      //extract image with the default image format(JPEG)
      PdfExtractor extractor = new PdfExtractor();
      extractor.bindPdf(path + "image.pdf");
      extractor.extractImage();
      String suffix = ".jpg";
      int imageCount = 1;
      while (extractor.hasNextImage()) {
        extractor.getNextImage(path + imageCount + suffix);
        imageCount++;
      }   
    
      //extract image with the givin image format(PNG)
      PdfExtractor extractor2 = new PdfExtractor();
      extractor2.bindPdf(path + "Image.pdf");
      extractor2.extractImage();
      String suffix2 = ".png";
      int imageCount2 = 1;
      while (extractor2.hasNextImage()) {
        extractor2.getNextImage(path + imageCount2 + suffix2, ImageType.PNG);
        imageCount2++;
      }
    }
    catch (java.io.IOException ioe) {
      System.out.println(ioe.getMessage());
    }
  }
}