//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//

package samples.form;

import com.aspose.pdf.kit.*;

//This demo shows how to change some attributes of button field in pdf documents.
public class AttrModify {
  //Set the test pdf file's path here:
  static String path = "./examples/resources/";

  public static void main(String[] args) {
    try {
      //Open the document and create a Form object
      Form form = new Form(path + "action.pdf", path + "action_out.pdf");

      int fieldtype = form.getFieldType("form1[0].#subform[0].EmailSubmitButton1[0]");
      System.out.println(fieldtype);
      String[] fieldsnames = form.getFieldsNames();
      for (int iter = 0; iter < fieldsnames.length; iter++)
        System.out.println(fieldsnames[iter]);

      //change the destination url of the email submit button
      form.setSubmitBtnUrl("form1[0].#subform[0].EmailSubmitButton1[0]",
                        "http://java.sun.com");

      //change the flag of the email submit button
      //1: Invisible 2:Hidden 4(default):NoZoom 7: ReadOnly 8:Locked
      form.setFieldFlag("form1[0].#subform[0].EmailSubmitButton1[0]", Form.FLAG_HIDDEN);

      form.setFieldAttr("form1[0].#subform[0].EmailSubmitButton1[0]", Form.ATTR_REQUIRED);

      ///uncomment the following code can move and resize the button
      //form.moveTo("form1[0].#subform[0].EmailSubmitButton1[0]", -300,-400);
      //form.zoom("form1[0].#subform[0].EmailSubmitButton1[0]", 1.5f, 1.5f);

      //change the label of the button,but failed:(
      ///form.setLabel("form1[0].#subform[0].EmailSubmitButton1[0]","AsposeMail");

      form.close();
    }
    catch (Exception ex) {
      System.out.println(ex.toString());
    }
  }

}