//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//

package samples.form;

import com.aspose.pdf.kit.*;

//This demo shows how to fill the field through the specified field name
public class FieldCoping {
  //Set the test pdf file's path here:
  static String path = "./examples/resources/";

  public static void main(String[] args){
    try {
      //open the document and create a FormEditor object

      //FormEditor formEditor = new FormEditor(path + "CopyFields.pdf", path + "copied.pdf");
      FormEditor formEditor = new FormEditor(path + "CopyColorFields.pdf", path + "colorCopied.pdf");
      //copy a text field
      formEditor.localCopyField("Text","Text 1",1,150,600);
      //copy a check box
      formEditor.localCopyField("Check Box", "Check Box 1", 1, 100, 550);
      //copy a combo box field
      formEditor.localCopyField("Combo Box","Combo Box 1",1,200,550);
      //copy a list
      formEditor.localCopyField("List Box","List Box 1",1,300,550);
      //copy a radio button
      formEditor.localCopyField("Radio Button", "Radio Button 1", 1, 100, 500);
      //copy a push button field
      formEditor.localCopyField("Button","Button 1",1,300,500);
      //close the document
      formEditor.close();
    }

    catch (Exception ex) {
      System.out.println(ex.toString());
    }

  }

}