// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf.Kit for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.mend;

import com.aspose.pdf.kit.EncodingType;

import java.awt.Color;
import com.aspose.pdf.kit.FontStyle;
import com.aspose.pdf.kit.PdfFileMend;
import com.aspose.pdf.kit.FormattedText; //

public class AddText {
  public AddText() {
  }

  //demonstrates adding text on pages
  public static void main(String[] args) {
    try {
      String path = "./examples/resources/";
      String inputFile = path + "example1.pdf";
      String outputFile = path + "PdfMendOut2.pdf";
      int[] pages = new int[] {
          1,2,3,4,5};
      PdfFileMend mendor = new PdfFileMend(inputFile, outputFile);
      FormattedText ft = new FormattedText("Aspose.Pdf.Kit for Java", 
       		new Color(180, 0, 0), FontStyle.TimesRoman, EncodingType.Winansi, false, 40); 
      mendor.addText(ft, pages, 100, 200, 800, 250);
      mendor.close();

    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
    }
  }
}